# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'backburner/version'

Gem::Specification.new do |gem|
  gem.name          = "autodesk_backburner_client"
  gem.version       = Backburner::VERSION
  gem.authors       = ["Alexander Panasyuk"]
  gem.email         = ["panasmeister@gmail.com"]
  gem.description   = %q{Autodesk Backburner client}
  gem.summary       = %q{Simple Backburner client, that fetches info via telnet}
  gem.homepage      = 'https://github.com/panasyuk/autodesk_backbuner_client'
  gem.licenses      = ['MIT']

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ["lib"]
  gem.add_runtime_dependency 'nori', '~> 2.3', '>= 2.3.0'
  gem.add_runtime_dependency 'nokogiri', '~> 1.6', '>= 1.6.1'
  gem.add_runtime_dependency 'recursive-open-struct', '~> 0.4', '>= 0.4.5'
  gem.add_runtime_dependency 'activesupport', '~> 3.0', '>= 3.0.0'
end
