# Autodesk Backburner Client v0.3.5

This is quite simple Autodesk Backburner client. It allows users to communicate with Autodesk Backburner manager and request an information about jobs and servers.

## Installation

Add this line to your application's Gemfile:

    gem "autodesk_backburner_client", "~> 0.3.5"

And then execute:

    $ bundle install

## Usage
### Simple example
```ruby
require 'backburner'

c = Backburner::Client.new '127.0.0.1', 3234
jobs = c.jobs
jobs[0].name # => "Test Job"
jobs[0].server_time # => 0.32345
jobs[0].servers # => [ Array of servers addressed to this job ]
jobs[0].state # => :complete
```

# TODO:
1. Add documentation for all features

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
